%define upstream_name    Selenium-Remote-Driver
%define upstream_version 1.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Representation of an HTML Element used by Selenium Remote Driver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TE/TEODESIAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::String)
BuildRequires: perl(IO::Uncompress::Unzip) >= 2.30.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo) >= 1.5.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Selenium is a test tool that allows you to write automated web application
UI tests in any programming language against any HTTP website using any
mainstream JavaScript-enabled browser. This module is an implementation of
the client for the Remote driver that Selenium provides. You can find
bindings for other languages at this location:

the https://code.google.com/p/selenium/ manpage

This module sends commands directly to the Server using HTTP. Using this
module together with the Selenium Server, you can automatically control any
supported browser. To use this module, you need to have already downloaded
and started the Selenium Server (Selenium Server is a Java application).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TAGS
%{_mandir}/man3/*
%{perl_vendorlib}/*
%exclude %{perl_vendorlib}/Selenium/Firefox/*/*.so

%changelog
* Wed Aug 30 2023 tv <tv> 1.490.0-1.mga10
+ Revision: 1981950
- update to 1.49

* Mon Jan 09 2023 tv <tv> 1.480.0-1.mga9
+ Revision: 1931866
- update to 1.48

* Fri May 06 2022 tv <tv> 1.470.0-1.mga9
+ Revision: 1856463
- update to 1.47

* Wed Mar 23 2022 umeabot <umeabot> 1.460.0-2.mga9
+ Revision: 1820991
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 1.460.0-1.mga9
+ Revision: 1761838
- update to 1.46

* Thu Oct 28 2021 tv <tv> 1.450.0-1.mga9
+ Revision: 1753112
- update to 1.45

* Mon Mar 29 2021 tv <tv> 1.440.0-1.mga9
+ Revision: 1711639
- update to 1.44

* Fri Mar 19 2021 tv <tv> 1.420.0-1.mga9
+ Revision: 1704817
- update to 1.42

* Tue Mar 09 2021 tv <tv> 1.400.0-1.mga9
+ Revision: 1700808
- update to 1.40

* Fri Feb 26 2021 tv <tv> 1.390.0-1.mga9
+ Revision: 1691731
- update to 1.39

* Tue Oct 20 2020 tv <tv> 1.380.0-1.mga8
+ Revision: 1637205
- update to 1.38

* Sat Feb 22 2020 shlomif <shlomif> 1.370.0-1.mga8
+ Revision: 1549296
- update to 1.37

* Tue Feb 18 2020 umeabot <umeabot> 1.360.0-2.mga8
+ Revision: 1537806
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 tv <tv> 1.360.0-1.mga8
+ Revision: 1459232
- update to 1.36

* Thu Oct 24 2019 tv <tv> 1.350.0-1.mga8
+ Revision: 1455629
- update to 1.35

* Thu Sep 12 2019 tv <tv> 1.340.0-1.mga8
+ Revision: 1440089
- update to 1.34

* Sat Jun 29 2019 shlomif <shlomif> 1.330.0-1.mga8
+ Revision: 1415623
- update to 1.33

* Mon Jan 07 2019 tv <tv> 1.310.0-1.mga7
+ Revision: 1350532
- update to 1.31

* Wed Oct 17 2018 shlomif <shlomif> 1.300.0-1.mga7
+ Revision: 1321478
- update to 1.30

* Thu Sep 20 2018 umeabot <umeabot> 1.290.0-2.mga7
+ Revision: 1285985
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.290.0-1.mga7
+ Revision: 1254023
- update to 1.29

* Fri Jun 22 2018 shlomif <shlomif> 1.280.0-1.mga7
+ Revision: 1238937
- update to 1.28

* Mon Apr 09 2018 kekepower <kekepower> 1.270.0-1.mga7
+ Revision: 1216715
- Update to version 1.27

* Sun Feb 25 2018 shlomif <shlomif> 1.260.0-1.mga7
+ Revision: 1205008
- update to 1.26

* Sun Jan 28 2018 shlomif <shlomif> 1.220.0-1.mga7
+ Revision: 1197665
- update to 1.22

* Tue Oct 03 2017 tv <tv> 1.200.0-2.mga7
+ Revision: 1166449
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.200.0-1.mga7
+ Revision: 1158240
- update to 1.20

* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1033026
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 969644
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 873618
- update to 0.27

* Sun Jul 05 2015 sander85 <sander85> 0.260.0-2.mga6
+ Revision: 851163
- We don't want binary files from upstream

* Sun Jul 05 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 850859
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.210.200-3.mga5
+ Revision: 742043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.200-2.mga5
+ Revision: 686185
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 sander85 <sander85> 0.210.200-1.mga5
+ Revision: 656446
- update to 0.2102

* Thu Jul 17 2014 sander85 <sander85> 0.210.100-1.mga5
+ Revision: 653389
- update to 0.2101

* Thu Jul 03 2014 sander85 <sander85> 0.200.200-1.mga5
+ Revision: 642724
- update to 0.2002

* Fri Jun 27 2014 jquelin <jquelin> 0.200.100-1.mga5
+ Revision: 640237
- update to 0.2001

* Sat May 17 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 623377
- update to 0.20

* Tue Apr 15 2014 jquelin <jquelin> 0.180.100-1.mga5
+ Revision: 614971
- update to 0.1801
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 372566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 255417
- update to 0.15

* Mon Mar 05 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 218800
- update to 0.14

* Fri Oct 07 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 152753
- imported package perl-Selenium-Remote-Driver

